Package org.eclipse.swt.events

# Class MenuDetectEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.MenuDetectEvent

public final class MenuDetectEvent extends TypedEvent
Instances of this class are sent whenever the platform- specific trigger for showing a context menu is detected.

Since:
  1.3
See Also:
  - `MenuDetectListener`
  - Sample code and further information

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`doit`
A flag indicating whether the operation should be allowed.
`int`
`x`
the display-relative x coordinate of the pointer at the time the context menu trigger occurred
`int`
`y`
the display-relative y coordinate of the pointer at the time the context menu trigger occurred

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`MenuDetectEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public int x
the display-relative x coordinate of the pointer at the time the context menu trigger occurred

### y

public int y
the display-relative y coordinate of the pointer at the time the context menu trigger occurred

### doit

public boolean doit
A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

## Constructor Details

### MenuDetectEvent

public MenuDetectEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event